<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/templateBranco.xhtml">
   <ui:define name="inform">
	  <h1>Gerenciamento de raças</h1>
	<h:panelGroup id="myDashBoard" class="breadcrumb">

		<ol class="breadcrumb">

			<li><a href="index.jsf"><i class="fa fa-dashboard"></i>Home</a></li>
			<li class="active">Editar raça</li>

		</ol>

	</h:panelGroup>
	</ui:define>

	<ui:define name="content">
		<h:form>
		
			<h1>Editar Raça</h1>

			<h:panelGrid columns="2">
			
			    <h:inputHidden value="#{racaBean.racaSelecionado.id}"/>
			    <h:inputHidden/>

				<h:outputLabel value="Código: " />
				<h:inputText value="#{racaBean.racaSelecionado.codigo}" />

				<h:outputLabel value="Raça: " />
				<h:inputText value="#{racaBean.racaSelecionado.raca}" />
				
				<p:outputLabel value="Especie" />
									<p:selectOneMenu value="#{racaBean.racaSelecionado.especie}"
										required="true"
										requiredMessage="É necessário informar a especie do animal"
										converter="entidadeConverterEspecie" autoWidth="false">//Conversor aqui!
					<f:selectItem itemLabel=" --Selecione uma especie -- " />
										<f:selectItems value="#{especieBean.listarTodos()}" var="e"
											itemLabel="#{e.especie}" itemValue="#{e}" />
									</p:selectOneMenu>

				<p:commandButton action="#{racaBean.alterar()}" value="Alterar" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                <p:commandButton action="#{racaBean.inicial()}" value="Cancelar" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
			</h:panelGrid>

		</h:form>
	</ui:define>
</ui:composition>
